Skip to main content
GET
/
guest-invitations
Get guest invitations
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/guest-invitations \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "host_organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "first_invitation_sent_at": "2023-11-07T05:31:56Z",
      "last_invitation_sent_at": "2023-11-07T05:31:56Z",
      "expired_at": "2023-11-07T05:31:56Z",
      "expired": true,
      "status": "sent",
      "invitation_token": "<string>",
      "archived": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "accepted_at": "2025-12-11T09:00:00.123456",
      "archived_at": "2025-12-11T09:00:00.123456",
      "parent_organization_id": "b123f0d1-8d3f-4cfa-91b8-9f9b0c5e2a88",
      "parent_organization_name": "Parent Organization Corp"
    }
  ],
  "total_items": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Query Parameters

statuses
enum<string>[]
required

Filter invitations by their statuses

Minimum array length: 1
Available options:
sent,
accepted_by_guest,
accepted_by_system
email_search
string | null

Text search by guest email

Required string length: 1 - 255
Example:

"guest@example.com"

expired
boolean | null

Filter by expired invitations

archived
boolean | null

Filter by archived invitations

order_by
enum<string>
default:last_invitation_sent_at

Field to sort the results by

Available options:
email,
first_invitation_sent_at,
last_invitation_sent_at,
expired_at,
accepted_at,
archived_at,
created_at,
updated_at
order_dir
enum<string>
default:asc

Sort direction for the order_by field

Available options:
asc,
desc
limit
integer
required

Maximum number of results to return

Required range: x <= 100
Examples:

10

20

30

offset
integer
required

Number of items to skip before returning results (for pagination)

Required range: x >= 0
Examples:

0

10

20

Response

Successful Response

items
GuestInvitation · object[]
required

List of guest invitations returned by the query

total_items
integer
required

Total number of guest invitations matching the query

Required range: x >= 0
Examples:

0

25

50